#!/bin/bash

#
# Copyright (c) 2010 Ingres Corp.
#

TOPDIR="`cat .topdir`"       
IVWDIR="$TOPDIR/scripts/ingres_vectorwise"
source $TOPDIR/scripts/kit_profile || er "$0: could not source kit_profile"

usage()
{
cat << EOF
usage: $0 -d <db> -o <key>

The script runs TPC-H ACID Query

OPTIONS:
    -h              show this message
    -d  <database>  database name
    -o  <number>    o_orderkey
EOF
}

DATABASE=
OKEY=
while getopts "d:o:" opt; do
    case $opt in
        d)
            DATABASE=$OPTARG
            ;;
        o)
        	OKEY=$OPTARG
        	;;
        ?)
            usage
            exit 1
            ;;
    esac
done

if [ -z "$DATABASE" ]; then
	usage
	exit 1
fi

if [ -z "$OKEY" ]; then
	usage
	exit 1
fi

s_time=`$GTIME`
human_time=`echo $s_time | $IVWDIR/unix2human.awk`
echo "========================================================="
echo "TPC-H ACID Query Started at: $human_time"
echo "========================================================="
echo

echo "select sum(trunc((trunc((l_extendedprice * (1-l_discount)), 2) * (1+l_tax)), 2))
      from lineitem where l_orderkey = $OKEY;\p\g" | sql $DATABASE

echo
e_time=`$GTIME`
human_time=`echo $e_time | $IVWDIR/unix2human.awk`
echo "TPC-H ACID Query Ended at: $human_time"

diff_time=`echo $e_time $s_time |awk '{print $1-$2}'`
echo "Duration: $diff_time seconds"
