#!/bin/bash

#
# Copyright (c) 2010 Ingres Corp.
#
# ACID Isolation Test #6 - Txn 1

TOPDIR="`cat .topdir`"        
IVWDIR="$TOPDIR/scripts/ingres_vectorwise"
source $TOPDIR/scripts/kit_profile || er "$0: could not source kit_profile"

usage()
{
cat << EOF
usage: $0 -d <db> -s <delta>

The script runs Txn 1 of the TPC-H ACID Isolation Test #6

OPTIONS:
    -h              show this message
    -d  <database>  database name
    -s  <delta>     Query 1 DELTA
EOF
}

DATABASE=
DELTA=
while getopts "d:s:" opt; do
    case $opt in
        d)
            DATABASE=$OPTARG
            ;;
        s)
        	DELTA=$OPTARG
        	;;
        ?)
            usage
            exit 1
            ;;
    esac
done

if [ -z "$DATABASE" ]; then
	usage
	exit 1
fi

if [ -z "$DELTA" ]; then
	usage
	exit 1
fi

TXN1_START=`$GTIME`

ISO6_TXN1_START=`echo $TXN1_START`
HUMAN1=`echo $TXN1_START | awk '{printf("%s", strftime("%Y-%m-%d %H:%M:%S",$1))}'`
HUMAN2=`echo $TXN1_START | awk '{printf("%s",substr($1, length(int($1))+2, length($1)))}'`

echo
echo ">> Txn1 (Query 1) started at `echo ${HUMAN1}.${HUMAN2}`"
echo

# Run Txn1 (Query 1 with DELTA)
#
cat $IVWDIR/acid/iso/iso6_q1.sql | sed "s/(DELTA)/${DELTA}/g" | sql $DATABASE
TXN1_END=`$GTIME`

ISO6_TXN1_END=`echo $TXN1_END` 
HUMAN1=`echo $TXN1_END | awk '{printf("%s", strftime("%Y-%m-%d %H:%M:%S",$1))}'`
HUMAN2=`echo $TXN1_END | awk '{printf("%s",substr($1, length(int($1))+2, length($1)))}'`

echo
echo ">> Txn1 (Query 1) ended at `echo ${HUMAN1}.${HUMAN2}`"
echo

